//
//  DemoViewController.m
//  DemoSplitVC
//
//  Created by Santiago Pavón Gómez on 13/06/12.
//  Copyright (c) 2012 UPM - ETSIT. All rights reserved.
//

#import "DemoViewController.h"

@interface DemoViewController ()

@property (nonatomic,weak) IBOutlet UILabel *label;
@property (nonatomic,weak) IBOutlet UIToolbar *toolbar;

@property (nonatomic,weak) UIPopoverController *popover;

@end

@implementation DemoViewController

@synthesize toolbar = _toolbar;
@synthesize label = _label;
@synthesize popover = _popover;

- (void) awakeFromNib
{
    self.splitViewController.delegate = self;
    [super awakeFromNib];
}

- (void) setDetails:(NSString*)msg 
{    
    self.label.text = msg;
    
    if (self.popover) {
        [self.popover dismissPopoverAnimated:YES];
    }
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return YES;
}

- (void)splitViewController:(UISplitViewController *)svc 
     willHideViewController:(UIViewController *)aViewController 
          withBarButtonItem:(UIBarButtonItem *)barButtonItem 
       forPopoverController:(UIPopoverController *)pc {
    
    barButtonItem.title = @"Ver Master";
    
    NSMutableArray * array = [self.toolbar.items mutableCopy];
    [array insertObject:barButtonItem atIndex:0];
    self.toolbar.items = array;
    
    self.popover = pc;
    
}

-(void)splitViewController:(UISplitViewController *)svc 
    willShowViewController:(UIViewController *)aViewController 
 invalidatingBarButtonItem:(UIBarButtonItem *)barButtonItem {
    
    NSMutableArray * array = [self.toolbar.items mutableCopy];
    [array removeObject:barButtonItem];
    self.toolbar.items = array;
    
    self.popover = nil;
    
}

@end
